# Ansible Role: sftpd 💾 🐳 🐙

Single-user [OpenSSH server](https://www.openssh.com/) restricted to SFTP access

## Required Variables

```yaml
sftpd_container_name: sftpd
sftpd_client_public_keys: |
  ssh-rsa ...
  ssh-rsa ...
sftpd_data_volume_name: sftpd_data
```

## Optional Variables

```yaml
sftpd_container_image: docker.io/fphammerle/sftpd@sha256:2280b68c09554e2f521640566b0580590d006c4592ebd6899d3d72c8620cbbb8
sftpd_network_mode: custom_network
sftpd_published_port: 2200
```

## Returned Variables

```yaml
sftpd_host_keys
```
